 /*****************************************************************************
 * Project: MobS - Mobile Robot Simulator
 * ----------------------------------------------------------------------------
 * Project Part : example for a ready to check in source file
 * Creation date: 1994/04/13
 *
 * $Revision: 1.1.1.1 $
 * $Date: 1994/12/02 17:37:39 $      
 * $Author: stolz $
 *
 * ----------------------------------------------------------------------------
 * Description  : example
 * 		 
 ******************************************************************************
 ***      (C) COPYRIGHT University of Stuttgart - All Rights Reserved       ***
 ******************************************************************************
 * 
 * $Log: MobSmain.c,v $
 * Revision 1.1.1.1  1994/12/02  17:37:39  stolz
 * MobS imported by CreateNewTPR
 *
 *
 *****************************************************************************/
static char rcsId[] = "$Id: MobSmain.c,v 1.1.1.1 1994/12/02 17:37:39 stolz Exp $";

#include <stdio.h>
#include <stdlib.h>

#include "MobSmain.h"

int main(int argc, char *argv[])
{
  extern char *optarg,optopt;
  extern int optind, opterr;
  int c;

  /* see /usr/man/man3/getopt.3 for a detailed description of the function 
     getopt(). It is really nice to parse the command line. */
  opterr = 1;             /* want getopt() writing to stderr */
  while ( (c = getopt(argc, argv, "H")) != EOF) {
    switch (c) {
    case 'H':               /* help */
      printf("usage: %s\t\t prints an often seen message.\n", argv[0]);
      exit(0);
      break;
    case '?':               /* not specified option requested */
      fprintf(stderr, "unrecognized option: -%c\n", optopt);
      exit(2);
      break;
    }
  }

  printf("Hello World\n");
}
