/********************************************************************************
 *  PROJECT		: DA mobile robot simulation
 *  AUTHOR(S)           : Horst Stolz (HUS)
 *  FILE		: com_motn.h
 *  TYPE		: module definition
 *  Time-stamp: <95/02/13 16:52:09 stolz>
 ********************************************************************************
 *  MODULE              : com_motn
 *
 *  FUNCTION
 *	This module provide the emulation of the MOTN-Command.
 *
 *  HISTORY
 *  20-Apr-94   Creation date.
 *
 ********************************************************************************/
#ifndef COM_MOTN_H
#define COM_MOTN_H

#ifndef MOB_PRIVATE_H
#include "mob_private.h"
#endif

char *motn(mob m, char *args);

#endif
