/**************************************************************************
 *  PROJECT		: DA mobile robot simulation
 *  AUTHOR(S)           : Horst Stolz (HUS)
 *  FILE		: .h
 *  TYPE		: module definition
 *  Time-stamp: <95/02/13 16:54:31 stolz>
 **************************************************************************
 *  MODULE              : 
 *
 *  FUNCTION
 *
 *  NOTE
 *
 *  HISTORY
 *  07-Mar-94   Creation date.
 *
 **************************************************************************/
#ifndef IV_DRAW_H
#define IV_DRAW_H


#ifndef MOB_WORLD_H
#include "mob_world.h"
#endif

void iv_draw_obj(void *vp);
void iv_draw(mob_world mw);
void iv_draw_point(void *vp);
void iv_draw_simple_triangle(void *vp);
void iv_draw_tp(void *vp);
void iv_draw_t3(void *vp);
void iv_draw_t3p(void *vp);
void iv_draw_triangle(void *vp);
void iv_color(float r, float g, float b);
void iv_init(int argc, char **argv, int viewer_type);
void iv_save_ra(char *filename);
void iv_main_loop();

#endif
