/**************************************************************************
 *  PROJECT		: DA mobile robot simulation
 *  AUTHOR(S)           : Horst Stolz (HUS)
 *  FILE		: pvm_server.h
 *  TYPE		: module definition
 *  Time-stamp: <95/03/10 17:42:12 stolz>
 **************************************************************************
 *  MODULE              : pvm_server
 *
 *  FUNCTION
 *
 *  NOTE
 *
 *  HISTORY
 *  09-Jul-94	Creation date.
 *
 **************************************************************************/
#ifndef PVM_SERVER_H
#define PVM_SERVER_H

#ifndef MOB_WORLD_H
#include "mob_world.h"
#endif

#ifndef MW_OBJECT_H
#include "mw_object.h"
#endif


void ps_open();
void ps_close(mob_world mw);
void ps_sync_obj(mw_object obj, double t);
void ps_recv(mob_world mw);
void ps_reply(mw_object obj, char *reply);
int  ps_server_tid();
void ps_kill(mw_object obj);
void ps_synchron(boolean mode);

#endif

